2010年12月14日

iOS4.2でも接続可能に

iOSを4.2にあげてから、ubuntuで接続するとエラーになり怒り沸騰していた。

仕方がないので、データをメールやDropBoxなどを併用してやり取りしてた凌いでいたのだが…。
iPhone/iPad、もう4.2にアップデートしても大丈夫!Ubuntu 10.10でも同期可能に!
という記事を見つけ早速導入。

リポジトリに「ppa:pmcenery/ppa」を追加。
libimobiledevice1
libsubmuxd1
usbmuxd

をアップグレードすればOKです。

もちろん、試しに接続しましたが、問題は起きず気持ちよく利用可能となりました!
助かる情報でした。
タグ:ubuntu
posted by baniko at 13:19| Comment(0) | TrackBack(0) | Linux | このブログの読者になる | 更新情報をチェックする

2010年12月02日

Google Earth 6 の インストール時エラー

Lifehackerの記事によると、GoogleEarthの新版が出ているということだったので、早速ダウンロード&インストールを実行。

$ chomod +x GoogleEarthLinux.bin
$ ./GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 6.0.0.1735..............................................................
setup.data/setup.xml:1: parser error : Document is empty

^
setup.data/setup.xml:1: parser error : Start tag expected, '<' not found

^
Couldn't load 'setup.data/setup.xml'


ここで、エラーにより停止。
ひょっとして、sudoかまさないとまずいか?と思い、sudo ./GoogleEarthLinux.binを試すも同じ結果に。

ふ〜む、そこで、ぐぐってみたら、どうやら既出のようです。
http://www.google.com/support/forum/p/earth/thread?tid=6f59e15bf811d4e2&hl=en
ここによると、
./GoogleEarthLinux.bin --target /tmp/ge
cd /tmp/ge/setup.data/bin/Linux/x86/
mv setup.gtk setup.gtk2
cd /tmp/ge
./setup.sh

こうしろというので、試すことに。
このまま、実行するとユーザ権限でのインストールになるので、最後で sudo ./setup.shとすることで管理者権限で/opt以下に入れることが可能になる。

この方法で、何も問題なくインストール完了。
起動も動作も問題ないです。

これぐらいならスクリプト直して欲しいよね〜。
ということで、同じところでハマる人もいるだろうから、まとめておきました。
タグ:ubuntu
posted by baniko at 16:23| Comment(1) | TrackBack(0) | 日記 | このブログの読者になる | 更新情報をチェックする
×

この広告は1年以上新しい記事の投稿がないブログに表示されております。